INCLUDES =$(GLINC) $(all_includes)
AM_CPPFLAGS = -DKDE_NO_COMPAT -DTQT_NO_COMPAT -DTQT_NO_CAST_ASCII -DTQT_NO_ASCII_CAST \
        $(KOPETE_INCLUDES) -I$(top_srcdir)/kopete/libkopete/private \
        -I$(top_srcdir)/kopete/libkopete/ui $(all_includes)
METASOURCES = AUTO
lib_LTLIBRARIES = libkopete_videodevice.la
noinst_LTLIBRARIES = libkvideoio.la
libkopete_videodevice_la_LDFLAGS = $(all_libraries) $(KDE_RPATH) $(LIB_TQT) -lDCOP $(LIB_TDECORE) $(LIB_TDEUI) -ltdefx $(LIB_TDEIO) -ltdetexteditor

noinst_HEADERS = kxv.h qvideo.h qvideostream.h videocontrol.h videodevice.h \
	videodevicemodelpool.h videodevicepool.h videoinput.h \
	sonix_compress.h bayer.h
libkopete_videodevice_la_SOURCES = videocontrol.cpp videodevice.cpp \
	videodevicemodelpool.cpp videodevicepool.cpp videoinput.cpp \
	sonix_compress.cpp bayer.cpp
libkvideoio_la_LDFLAGS = -no-undefined $(all_libraries) -version-info 1:0:0
libkvideoio_la_SOURCES = kxv.cpp qvideo.cpp qvideostream.cpp
libkvideoio_la_LIBADD = $(LIB_TQT) $(LIB_TDECORE) $(GLLIB)
